Bug 303751 - doesn't print
doesn't print
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
rawhide
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-24 13:59 EDT by Horst H. von Brand
Modified: 2008-01-03 06:01 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-03 06:01:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2007-09-24 13:59:03 EDT
Description of problem:
Starting CUPS gives just a dead cupsd

Version-Release number of selected component (if applicable):
cups-1.3.2-2.fc8

How reproducible:
Always

Steps to Reproduce:
1. cups start
2.
3.
  
Actual results:
service cups status:
  File ... exists, but cupsd is dead

Expected results:
Running cups

Additional info:
HP LaserJet 1320 connected through USB. It makes no difference if the
permissions on /proc/bus/usb/???/??? are set right (root:lp, 660) or as of boot
(root:root, 600). On i686, no printer connected directly (notebook!) the same
CUPS runs fine.
Comment 1 Tim Waugh 2007-09-25 05:37:25 EDT
What does 'rpm -q avahi-compat-libdns_sd' say?
Comment 2 Horst H. von Brand 2007-10-01 09:07:34 EDT
Sorry, the machine was broken, so I could not look into this in the meantime.
After todays updates cups stays up.

cups-1.3.2-3.fc8 (installed Wed 26 Sep 2007 01:57:00 PM CLT)
avahi-compat-libdns_sd-0.6.21-6.fc8 (installed Tue 25 Sep 2007 06:15:42 PM CLT)

But the printer doesn't work. I got its USB connection via lsusb, and set its
group and permissions:

   chmod g+rw /proc/bus/usb/002/005
   chgrp lp /proc/bus/usb/002/005

and confirmed that the permissions are right now. lpq tells me the printer is
not ready, hp-info is happy to tell me about the printer. There are queued jobs,
but nothing gets printed.
Comment 3 Tim Waugh 2007-10-01 09:39:33 EDT
You do not need to adjust the permission on the USB device nodes.

What does 'lpstat -t' say, and which queue are you trying to print to?
Comment 4 Horst H. von Brand 2008-01-02 14:20:31 EST
Sorry, had no time to look into this. Now it works fine (cups-1.3.5-1.fc9,
avahi-compat-libdns_sd-0.6.22-4.fc9, machine up-to-date rawhide).
Comment 5 Tim Waugh 2008-01-03 06:01:48 EST
Okay, thanks for taking another look.

Note You need to log in before you can comment on or make changes to this bug.